summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-office/scribus/Manifest1
-rw-r--r--app-office/scribus/files/scribus-9999-fpic.patch192
-rw-r--r--app-office/scribus/metadata.xml2
-rw-r--r--app-office/scribus/scribus-1.4.5.ebuild150
-rw-r--r--app-office/scribus/scribus-9999.ebuild2
-rw-r--r--dev-python/miniupnpc/Manifest1
-rw-r--r--dev-python/miniupnpc/miniupnpc-1.9.20151008.ebuild28
-rw-r--r--dev-qt/qtchooser/qtchooser-0_p20150102.ebuild2
-rw-r--r--media-tv/tvheadend/files/4.0.6-use-glibc-version-iconv.patch (renamed from media-tv/tvheadend/files/glibc_iconv.patch)0
-rw-r--r--media-tv/tvheadend/tvheadend-4.0.6.ebuild7
-rw-r--r--net-libs/miniupnpc/Manifest1
-rw-r--r--net-libs/miniupnpc/miniupnpc-1.9.20151008.ebuild57
12 files changed, 437 insertions, 6 deletions
diff --git a/app-office/scribus/Manifest b/app-office/scribus/Manifest
index 3440d325964..517756de524 100644
--- a/app-office/scribus/Manifest
+++ b/app-office/scribus/Manifest
@@ -1,2 +1,3 @@
DIST scribus-1.4.4.tar.xz 71274196 SHA256 a43b9d55518ccebdb770d3cdac44ebf75c60ad11c284b210f6b0bd8c7a0217ae SHA512 aafcb0870d4a3054585d79ef7d7e7726dd8bd8eb8a177bcf812a42d00583a1d684a9abb61607e69c64bf9fdb4a98258be4a5b2df5cfb7c953238bc3a6a2d34bb WHIRLPOOL dff4f44ed0600737076a233ef3c7d2fd6b534f30e9d6016b884eadab2512c3f4a8610e932207d95a597795812ec7a45128ca66b6bc294fa1336f3411595c5df9
+DIST scribus-1.4.5.tar.bz2 78251228 SHA256 9f706f0561d26bb11bbe558690ae0507cd3689e381f6e17aa9411d9c4ef58498 SHA512 60db402b0fc4880f795694f3d6823ff2cedd660e7431c311ec7b75d79f09815e790da562c4cd4c080811559d1c16a3e65be8e1a348f655dbc37c3a6cec74650e WHIRLPOOL f53273810ae2b7aa35403d6e622fb0ebb67f35d454aa4667dbbe81efe5fb2de3564d346741b80c5bed33a307e8c58fe7ba695900e45f602b3a14db1cae82d948
DIST scribus-1.5.0.tar.xz 75867348 SHA256 a3dbe66d12719355d41ae7f2cac7a8c9d5599b12aeb5c038d939636f054e8e68 SHA512 3d3f311543019cf985e12d25d0a9bd2ea470679aee0f40d0aed4d2f1532ea3cdbd4d2e215e59b559b4301613fb71f738a348c56d09d3c6e32da0047d9e212065 WHIRLPOOL feae71d139724b4927c81cab5d13168a9e00383f9a7890484cf5ab62f001b266b4af954440bc7edc51eedb65c3ace4541a7fc0836b0f6237061d6d38371ac6ca
diff --git a/app-office/scribus/files/scribus-9999-fpic.patch b/app-office/scribus/files/scribus-9999-fpic.patch
new file mode 100644
index 00000000000..dbc640bf84a
--- /dev/null
+++ b/app-office/scribus/files/scribus-9999-fpic.patch
@@ -0,0 +1,192 @@
+ Scribus/CMakeLists.txt | 15 +++++++++++++++
+ Scribus/scribus/colormgmt/CMakeLists.txt | 2 ++
+ Scribus/scribus/desaxe/CMakeLists.txt | 1 +
+ Scribus/scribus/fonts/CMakeLists.txt | 1 +
+ Scribus/scribus/styles/CMakeLists.txt | 2 ++
+ Scribus/scribus/text/CMakeLists.txt | 1 +
+ Scribus/scribus/third_party/lib2geom/CMakeLists.txt | 8 +-------
+ Scribus/scribus/third_party/pgf/CMakeLists.txt | 2 ++
+ Scribus/scribus/third_party/prc/CMakeLists.txt | 2 ++
+ Scribus/scribus/third_party/rtf-qt/CMakeLists.txt | 2 ++
+ Scribus/scribus/third_party/wpg/CMakeLists.txt | 7 ++++---
+ Scribus/scribus/third_party/zip/CMakeLists.txt | 2 ++
+ 12 files changed, 35 insertions(+), 10 deletions(-)
+
+diff --git a/Scribus/CMakeLists.txt b/Scribus/CMakeLists.txt
+index 8ab9525..f2ebf64 100644
+--- a/Scribus/CMakeLists.txt
++++ b/Scribus/CMakeLists.txt
+@@ -131,6 +131,21 @@ IF (_machine_sparc64)
+ SET(ARCH64BIT 1)
+ ENDIF (_machine_sparc64)
+
++STRING(REGEX MATCH "(hppa*)" _machine_hppa "${MACHINE}")
++IF (_machine_hppa)
++ MESSAGE(STATUS "Found target Hppa")
++ SET(ARCH_HPPA 1)
++ENDIF (_machine_hppa)
++
++
++# We need to pass -fPIC to lib2geom on amd64, mips, mipsel, and hppa. See:
++# http://www.gentoo.org/proj/en/base/amd64/howtos/index.xml?part=1&chap=3 and
++# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=559133
++
++IF (ARCH_X86_64 EQUAL 1 OR ARCH_HPPA EQUAL 1 OR ARCH_MIPS EQUAL 1 OR ARCH_MIPS_64 EQUAL 1 OR ARCH_PPC_64 EQUAL 1)
++ SET(CMAKE_CXX_FLAGS_FPIC "-fPIC")
++ENDIF (ARCH_X86_64 EQUAL 1 OR ARCH_HPPA EQUAL 1 OR ARCH_MIPS EQUAL 1 OR ARCH_MIPS_64 EQUAL 1 OR ARCH_PPC_64 EQUAL 1)
++
+ ## Do our Apple OSX version setup
+ IF (APPLE AND CMAKE_SIZEOF_VOID_P EQUAL 8 AND (ARCH_X86 EQUAL 1 OR ARCH_X86_64 EQUAL 1))
+ STRING(REGEX REPLACE ".*-darwin([0-9]+).*" "\\1" _apple_ver "${MACHINE}")
+diff --git a/Scribus/scribus/colormgmt/CMakeLists.txt b/Scribus/scribus/colormgmt/CMakeLists.txt
+index 7298a28..87c4f5e 100644
+--- a/Scribus/scribus/colormgmt/CMakeLists.txt
++++ b/Scribus/scribus/colormgmt/CMakeLists.txt
+@@ -3,6 +3,8 @@ ${CMAKE_SOURCE_DIR}
+ ${CMAKE_SOURCE_DIR}/scribus
+ )
+
++SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_FPIC}")
++
+ INCLUDE_DIRECTORIES( ${LCMS2_INCLUDE_DIR} )
+ SET(SCRIBUS_LCMS_IMPL_SOURCES
+ sclcms2colormgmtengineimpl.cpp
+diff --git a/Scribus/scribus/desaxe/CMakeLists.txt b/Scribus/scribus/desaxe/CMakeLists.txt
+index 0098028..85e76b6 100644
+--- a/Scribus/scribus/desaxe/CMakeLists.txt
++++ b/Scribus/scribus/desaxe/CMakeLists.txt
+@@ -4,6 +4,7 @@ ${CMAKE_SOURCE_DIR}/scribus
+ ${FREETYPE_INCLUDE_DIRS}
+ )
+
++SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_FPIC}")
+
+ SET(SCRIBUS_DESAXE_LIB_SOURCES
+ saxXML.cpp
+diff --git a/Scribus/scribus/fonts/CMakeLists.txt b/Scribus/scribus/fonts/CMakeLists.txt
+index a8f0e8d..beade2e 100644
+--- a/Scribus/scribus/fonts/CMakeLists.txt
++++ b/Scribus/scribus/fonts/CMakeLists.txt
+@@ -4,6 +4,7 @@ ${CMAKE_SOURCE_DIR}/scribus
+ ${FREETYPE_INCLUDE_DIRS}
+ )
+
++SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_FPIC}")
+
+ SET(SCRIBUS_FONTS_LIB_SOURCES
+ scface.cpp
+diff --git a/Scribus/scribus/styles/CMakeLists.txt b/Scribus/scribus/styles/CMakeLists.txt
+index 6e0cf0a..2839689 100644
+--- a/Scribus/scribus/styles/CMakeLists.txt
++++ b/Scribus/scribus/styles/CMakeLists.txt
+@@ -4,6 +4,8 @@ INCLUDE_DIRECTORIES(
+ ${FREETYPE_INCLUDE_DIRS}
+ )
+
++SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_FPIC}")
++
+ SET(SCRIBUS_STYLES_MOC_CLASSES
+ )
+
+diff --git a/Scribus/scribus/text/CMakeLists.txt b/Scribus/scribus/text/CMakeLists.txt
+index 1cd112f..4f658e3 100644
+--- a/Scribus/scribus/text/CMakeLists.txt
++++ b/Scribus/scribus/text/CMakeLists.txt
+@@ -4,6 +4,7 @@ INCLUDE_DIRECTORIES(
+ ${FREETYPE_INCLUDE_DIRS}
+ )
+
++SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_FPIC}")
+
+ SET(SCRIBUS_TEXT_MOC_CLASSES
+ storytext.h
+diff --git a/Scribus/scribus/third_party/lib2geom/CMakeLists.txt b/Scribus/scribus/third_party/lib2geom/CMakeLists.txt
+index 6187d96..3106f6e 100755
+--- a/Scribus/scribus/third_party/lib2geom/CMakeLists.txt
++++ b/Scribus/scribus/third_party/lib2geom/CMakeLists.txt
+@@ -5,13 +5,7 @@ ${CMAKE_SOURCE_DIR}/scribus
+
+ SET(2GEOM_VERSION 0.1.0)
+
+-# We need to pass -fPIC to lib2geom on amd64, mips, mipsel, and hppa. See:
+-# http://www.gentoo.org/proj/en/base/amd64/howtos/index.xml?part=1&chap=3 and
+-# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=559133
+-
+-IF (ARCH_X86_64 EQUAL 1 OR ARCH_HPPA EQUAL 1 OR ARCH_MIPS EQUAL 1 OR ARCH_MIPS_64 EQUAL 1 OR ARCH_PPC_64 EQUAL 1)
+- SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
+-ENDIF (ARCH_X86_64 EQUAL 1 OR ARCH_HPPA EQUAL 1 OR ARCH_MIPS EQUAL 1 OR ARCH_MIPS_64 EQUAL 1 OR ARCH_PPC_64 EQUAL 1)
++SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_FPIC}")
+
+ OPTION(2GEOM_BUILD_SHARED
+ "Build lib2geom and libtoy as shared libraries."
+diff --git a/Scribus/scribus/third_party/pgf/CMakeLists.txt b/Scribus/scribus/third_party/pgf/CMakeLists.txt
+index f84b3d4..d3b1db6 100644
+--- a/Scribus/scribus/third_party/pgf/CMakeLists.txt
++++ b/Scribus/scribus/third_party/pgf/CMakeLists.txt
+@@ -3,6 +3,8 @@ ${CMAKE_SOURCE_DIR}
+ ${CMAKE_SOURCE_DIR}/scribus
+ )
+
++SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_FPIC}")
++
+ SET(SCRIBUS_PGF_LIB_SOURCES
+ Decoder.cpp
+ Encoder.cpp
+diff --git a/Scribus/scribus/third_party/prc/CMakeLists.txt b/Scribus/scribus/third_party/prc/CMakeLists.txt
+index 5f7c2c6..1da7177 100644
+--- a/Scribus/scribus/third_party/prc/CMakeLists.txt
++++ b/Scribus/scribus/third_party/prc/CMakeLists.txt
+@@ -5,6 +5,8 @@ ${OPENGL_INCLUDE_DIR}
+ ${FREETYPE_INCLUDE_DIRS}
+ )
+
++SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_FPIC}")
++
+ SET(SCRIBUS_PRC_LIB_SOURCES
+ oPRCFile.cc
+ PRCbitStream.cc
+diff --git a/Scribus/scribus/third_party/rtf-qt/CMakeLists.txt b/Scribus/scribus/third_party/rtf-qt/CMakeLists.txt
+index 4124cef..0ef7560 100644
+--- a/Scribus/scribus/third_party/rtf-qt/CMakeLists.txt
++++ b/Scribus/scribus/third_party/rtf-qt/CMakeLists.txt
+@@ -45,6 +45,8 @@ SET(SCRIBUS_RTF_LIB_MOC_CLASSES
+
+ QT5_WRAP_CPP(SCRIBUS_RTF_LIB_MOC_SOURCES ${SCRIBUS_RTF_LIB_MOC_CLASSES})
+
++SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_FPIC}")
++
+ SET(SCRIBUS_RTF_LIB "scribus_rtf_lib")
+ ADD_LIBRARY(${SCRIBUS_RTF_LIB} STATIC ${SCRIBUS_RTF_LIB_SOURCES} ${SCRIBUS_RTF_LIB_MOC_SOURCES})
+ SET_TARGET_PROPERTIES(${SCRIBUS_ZIB_LIB}
+diff --git a/Scribus/scribus/third_party/wpg/CMakeLists.txt b/Scribus/scribus/third_party/wpg/CMakeLists.txt
+index ff31e9f..fbc5cd4 100644
+--- a/Scribus/scribus/third_party/wpg/CMakeLists.txt
++++ b/Scribus/scribus/third_party/wpg/CMakeLists.txt
+@@ -2,10 +2,11 @@ INCLUDE_DIRECTORIES(
+ ${CMAKE_SOURCE_DIR}
+ ${CMAKE_SOURCE_DIR}/scribus
+ )
++
+ SET(LIB_TYPE STATIC)
+-IF (ARCH_X86_64 EQUAL 1)
+- SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
+-ENDIF (ARCH_X86_64 EQUAL 1)
++
++SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_FPIC}")
++
+ SET(WPG_SOURCES
+ WPG1Parser.cpp
+ WPG2Parser.cpp
+diff --git a/Scribus/scribus/third_party/zip/CMakeLists.txt b/Scribus/scribus/third_party/zip/CMakeLists.txt
+index edf9683..f7676ab 100644
+--- a/Scribus/scribus/third_party/zip/CMakeLists.txt
++++ b/Scribus/scribus/third_party/zip/CMakeLists.txt
+@@ -4,6 +4,8 @@ ${CMAKE_SOURCE_DIR}/scribus
+ ${ZLIB_INCLUDE_DIR}
+ )
+
++SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_FPIC}")
++
+ SET(SCRIBUS_ZIP_LIB_SOURCES
+ unzip.cpp
+ zip.cpp
diff --git a/app-office/scribus/metadata.xml b/app-office/scribus/metadata.xml
index d6bbfeca8a9..80e31d37ba8 100644
--- a/app-office/scribus/metadata.xml
+++ b/app-office/scribus/metadata.xml
@@ -1,4 +1,4 @@
-<?xml version='1.0' encoding='UTF-8'?>
+<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>desktop-misc</herd>
diff --git a/app-office/scribus/scribus-1.4.5.ebuild b/app-office/scribus/scribus-1.4.5.ebuild
new file mode 100644
index 00000000000..1b16771608d
--- /dev/null
+++ b/app-office/scribus/scribus-1.4.5.ebuild
@@ -0,0 +1,150 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="tk?"
+
+inherit cmake-utils fdo-mime python-single-r1
+
+DESCRIPTION="Desktop publishing (DTP) and layout program"
+HOMEPAGE="http://www.scribus.net/"
+SRC_URI="mirror://sourceforge/${PN}/${PV}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="cairo debug examples hunspell +minimal +pdf scripts templates tk"
+
+# a=$(ls resources/translations/po/scribus.*ts | sed -e 's:\.: :g' | awk '{print $2}'); echo ${a}
+IUSE_LINGUAS=" af ar bg br ca cs_CZ cy da_DK de de_1901 de_CH el en_AU en_GB en_US eo es_ES et eu fi fr gl hu id it ja ko lt_LT nb_NO nl pl_PL pt pt_BR ru sa sk_SK sl sq sr sv th_TH tr uk zh_CN zh_TW"
+IUSE+=" ${IUSE_LINGUAS// / linguas_}"
+
+REQUIRED_USE="
+ ${PYTHON_REQUIRED_USE}
+ tk? ( scripts )"
+
+COMMON_DEPEND="
+ ${PYTHON_DEPS}
+ dev-libs/boost
+ dev-libs/hyphen
+ dev-libs/libxml2
+ dev-qt/qtcore:4
+ dev-qt/qtgui:4
+ media-libs/fontconfig
+ media-libs/freetype:2
+ media-libs/lcms:2
+ media-libs/libpng:0
+ media-libs/tiff:0
+ net-print/cups
+ sys-libs/zlib[minizip]
+ virtual/jpeg:0=
+ cairo? ( x11-libs/cairo[X,svg] )
+ !cairo? ( media-libs/libart_lgpl )
+ hunspell? ( app-text/hunspell )
+ pdf? ( app-text/podofo )
+ scripts? ( virtual/python-imaging[tk?,${PYTHON_USEDEP}] )
+ tk? ( virtual/python-imaging[tk?,${PYTHON_USEDEP}] )
+"
+RDEPEND="${COMMON_DEPEND}
+ app-text/ghostscript-gpl"
+DEPEND="${COMMON_DEPEND}
+ virtual/pkgconfig"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.4.2-docs.patch
+ "${FILESDIR}"/${PN}-1.4.0-minizip.patch
+ "${FILESDIR}"/${PN}-1.4.4-ppc64-fpic.patch
+ )
+
+src_prepare() {
+ cat > cmake/modules/FindZLIB.cmake <<- EOF
+ find_package(PkgConfig)
+ pkg_check_modules(ZLIB minizip zlib)
+ SET( ZLIB_LIBRARY \${ZLIB_LIBRARIES} )
+ SET( ZLIB_INCLUDE_DIR \${ZLIB_INCLUDE_DIRS} )
+ MARK_AS_ADVANCED( ZLIB_LIBRARY ZLIB_INCLUDE_DIR )
+ EOF
+
+ rm scribus/{ioapi,unzip}.[ch] || die
+
+ sed \
+ -e 's:\(${CMAKE_INSTALL_PREFIX}\):./\1:g' \
+ -i resources/templates/CMakeLists.txt || die
+
+ cmake-utils_src_prepare
+}
+
+src_configure() {
+ local lang langs
+ for lang in ${IUSE_LINGUAS}; do
+ if use linguas_${lang}; then
+ langs+=",${lang}"
+ else
+ sed -e "/${lang}/d" -i scribus/doc/CMakeLists.txt || die
+ fi
+ done
+
+ local mycmakeargs=(
+ -DHAVE_PYTHON=ON
+ -DPYTHON_INCLUDE_PATH="$(python_get_includedir)"
+ -DPYTHON_LIBRARY="$(python_get_library_path)"
+ -DWANT_NORPATH=ON
+ -DWANT_QT3SUPPORT=OFF
+ -DGENTOOVERSION=${PVR}
+ -DWANT_GUI_LANG=${langs#,}
+ $(cmake-utils_use_with pdf PODOFO)
+ $(cmake-utils_use_want cairo)
+ $(cmake-utils_use_want !cairo QTARTHUR)
+ $(cmake-utils_use_want debug DEBUG)
+ $(cmake-utils_use_want minimal NOHEADERINSTALL)
+ $(cmake-utils_use_want hunspell HUNSPELL)
+ $(cmake-utils_use_want !examples NOEXAMPLES)
+ $(cmake-utils_use_want !templates NOTEMPLATES)
+ )
+ cmake-utils_src_configure
+}
+
+src_install() {
+ cmake-utils_src_install
+
+ local lang file
+ for lang in ${IUSE_LINGUAS}; do
+ file="${ED}"/usr/share/scribus/translations/scribus.${lang}.qm
+ if ! use linguas_${lang} && [[ -f "${file}" ]]; then
+ rm "${file}" || die
+ fi
+ done
+
+ if ! use scripts; then
+ rm "${ED}"/usr/share/scribus/scripts/*.py || die
+ elif ! use tk; then
+ rm "${ED}"/usr/share/scribus/scripts/{FontSample,CalendarWizard}.py || die
+ fi
+
+ python_fix_shebang "${ED}"/usr/share/scribus/scripts
+ python_optimize "${ED}"/usr/share/scribus/scripts
+
+ mv "${ED}"/usr/share/doc/${PF}/{en,html} || die
+ ln -sf html "${ED}"/usr/share/doc/${PF}/en || die
+ cat >> "${T}"/COPYING <<- EOF
+ ${PN} is licensed under the "${LICENSE}".
+ Please visit https://www.gnu.org/licenses/gpl-2.0.html for the complete license text.
+ EOF
+ dodoc "${T}"/COPYING
+ docompress -x /usr/share/doc/${PF}/en /usr/share/doc/${PF}/{AUTHORS,TRANSLATION,LINKS,COPYING}
+ doicon resources/icons/scribus.png
+ domenu scribus.desktop
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+}
diff --git a/app-office/scribus/scribus-9999.ebuild b/app-office/scribus/scribus-9999.ebuild
index 6cdd970754d..2e0c36c7965 100644
--- a/app-office/scribus/scribus-9999.ebuild
+++ b/app-office/scribus/scribus-9999.ebuild
@@ -76,7 +76,7 @@ DEPEND="${COMMON_DEPEND}
PATCHES=(
"${FILESDIR}"/${PN}-1.5.0-docdir.patch
- "${FILESDIR}"/${PN}-1.5.0-fpic.patch
+ "${FILESDIR}"/${PN}-9999-fpic.patch
)
src_prepare() {
diff --git a/dev-python/miniupnpc/Manifest b/dev-python/miniupnpc/Manifest
index 047bb67b9a6..5761e7c1ff8 100644
--- a/dev-python/miniupnpc/Manifest
+++ b/dev-python/miniupnpc/Manifest
@@ -1,2 +1,3 @@
DIST miniupnpc-1.8.tar.gz 70624 SHA256 bc5f73c7b0056252c1888a80e6075787a1e1e9112b808f863a245483ff79859c SHA512 8eedac9ad473fc952ca8896fe534d6da6b1b234e8b6f35f721394d4c71aca84ed287ca6c4f0455b50d97a45e4cd34e27d99a6813386e0864781364aa607e13d4 WHIRLPOOL 5b76ccbb5ed7daa9bb0d481b424b7c31a5f6dc85c5c812ba10175a29aefc0d3924f3db2aa8c3529d1241be59d67d1d4c702d27aad2de8c8a07fecf3857d73169
DIST miniupnpc-1.9.20150917.tar.gz 82609 SHA256 3087c32929c1e9db4947d6a184694e06ec604bca29449b75daec295a5d8f11da SHA512 1fe2613d19cbd16b6f6e9c8205e984548fb96d032a71a849f9b25486dc71b07ee270d2bfc324f218abe80c45f0b13b6af00e59cbf3a9e35b83ea5073bb897f65 WHIRLPOOL 60d0e9c94ddf8ef19106217158d01cc2f3edb854f34326c80c6ae694b65b80f1bc6810cc2b24a7b8525ef7c3982324c9859bdbdcb2e2e944747c371ba2015a6a
+DIST miniupnpc-1.9.20151008.tar.gz 83538 SHA256 e444ac3b587ce82709c4d0cfca1fe71f44f9fc433e9f946b12b9e1bfe667a633 SHA512 b13e6044184f47d0f9e78c4c97d2887ab763121b2b21c86652bf3ea1b05335cfbcfd91eecb8d1dcfb5530f2528e6cf3e9c49c742d5e771dba68a774d2c2ad4ca WHIRLPOOL 839b531eb6cae7ada0bbaa0c4230a1f6889f6a288a114262bf6e27aa27638800636127fea3066427fb030e8f449794681d2bffeb8e2d30876d8ef9e4a3ade3cc
diff --git a/dev-python/miniupnpc/miniupnpc-1.9.20151008.ebuild b/dev-python/miniupnpc/miniupnpc-1.9.20151008.ebuild
new file mode 100644
index 00000000000..6e36f37601c
--- /dev/null
+++ b/dev-python/miniupnpc/miniupnpc-1.9.20151008.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=(python2_7 pypy)
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for UPnP client library"
+HOMEPAGE="http://miniupnp.free.fr/"
+SRC_URI="http://miniupnp.free.fr/files/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE=""
+
+RDEPEND=">=net-libs/miniupnpc-${PV}:0="
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+ "${FILESDIR}"/miniupnpc-1.9.20150917-shared-lib.patch
+)
+
+# DOCS are installed by net-libs/miniupnpc.
+DOCS=()
diff --git a/dev-qt/qtchooser/qtchooser-0_p20150102.ebuild b/dev-qt/qtchooser/qtchooser-0_p20150102.ebuild
index 530ac05e404..eb37b0ab9e5 100644
--- a/dev-qt/qtchooser/qtchooser-0_p20150102.ebuild
+++ b/dev-qt/qtchooser/qtchooser-0_p20150102.ebuild
@@ -12,7 +12,7 @@ SRC_URI="https://dev.gentoo.org/~pesa/distfiles/${P}.tar.xz"
LICENSE="|| ( LGPL-2.1 GPL-3 )"
SLOT="0"
-KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 sparc x86 ~amd64-fbsd"
+KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 sparc x86 ~amd64-fbsd ~x86-fbsd"
IUSE="qt5 test"
DEPEND="qt5? ( test? (
diff --git a/media-tv/tvheadend/files/glibc_iconv.patch b/media-tv/tvheadend/files/4.0.6-use-glibc-version-iconv.patch
index 91187869a20..91187869a20 100644
--- a/media-tv/tvheadend/files/glibc_iconv.patch
+++ b/media-tv/tvheadend/files/4.0.6-use-glibc-version-iconv.patch
diff --git a/media-tv/tvheadend/tvheadend-4.0.6.ebuild b/media-tv/tvheadend/tvheadend-4.0.6.ebuild
index 512a53dfd77..ec292853325 100644
--- a/media-tv/tvheadend/tvheadend-4.0.6.ebuild
+++ b/media-tv/tvheadend/tvheadend-4.0.6.ebuild
@@ -23,10 +23,12 @@ RDEPEND="dev-libs/openssl:=
ccache? ( dev-util/ccache sys-libs/zlib )
dbus? ( sys-apps/dbus )
dvb? ( virtual/linuxtv-dvb-headers )
- ffmpeg? ( virtual/ffmpeg )
+ ffmpeg? (
+ !libav? ( media-video/ffmpeg:0= )
+ libav? ( media-video/libav:= )
+ )
hdhomerun? ( media-libs/libhdhomerun )
iconv? ( virtual/libiconv )
- libav? ( media-video/libav )
imagecache? ( net-misc/curl )
uriparser? ( dev-libs/uriparser )
zlib? ( sys-libs/zlib )
@@ -80,7 +82,6 @@ src_configure() {
--disable-kqueue \
$(use_enable ffmpeg libav) \
$(use_enable hdhomerun hdhomerun_client) \
- $(use_enable libav) \
$(use_enable imagecache) \
$(use_enable inotify) \
$(use_enable iptv) \
diff --git a/net-libs/miniupnpc/Manifest b/net-libs/miniupnpc/Manifest
index eb318f30498..8578d302c82 100644
--- a/net-libs/miniupnpc/Manifest
+++ b/net-libs/miniupnpc/Manifest
@@ -1,3 +1,4 @@
DIST miniupnpc-1.8.tar.gz 70624 SHA256 bc5f73c7b0056252c1888a80e6075787a1e1e9112b808f863a245483ff79859c SHA512 8eedac9ad473fc952ca8896fe534d6da6b1b234e8b6f35f721394d4c71aca84ed287ca6c4f0455b50d97a45e4cd34e27d99a6813386e0864781364aa607e13d4 WHIRLPOOL 5b76ccbb5ed7daa9bb0d481b424b7c31a5f6dc85c5c812ba10175a29aefc0d3924f3db2aa8c3529d1241be59d67d1d4c702d27aad2de8c8a07fecf3857d73169
DIST miniupnpc-1.9.20150427.tar.gz 78424 SHA256 b3207ddc0b0001887d6a29260e8d609d0ad2c35bec99a2358281bb8951919837 SHA512 463758b3c104cdc768d99e044acdf607d457eaaefec12fc20e0086de523b9c61ed6354dd2269052ae367b22957158fd813440dce4f51a8d60f8d251d2c85f336 WHIRLPOOL e6f635d1dd5e728a75e9852e0f2e0e6b8c3dfb200d479133fd183e8741628d7c0dd016ffacc7d0d2bfb13798cd7d2e57b26b48a36e1555c721b4c58038c1c5ee
DIST miniupnpc-1.9.20150917.tar.gz 82609 SHA256 3087c32929c1e9db4947d6a184694e06ec604bca29449b75daec295a5d8f11da SHA512 1fe2613d19cbd16b6f6e9c8205e984548fb96d032a71a849f9b25486dc71b07ee270d2bfc324f218abe80c45f0b13b6af00e59cbf3a9e35b83ea5073bb897f65 WHIRLPOOL 60d0e9c94ddf8ef19106217158d01cc2f3edb854f34326c80c6ae694b65b80f1bc6810cc2b24a7b8525ef7c3982324c9859bdbdcb2e2e944747c371ba2015a6a
+DIST miniupnpc-1.9.20151008.tar.gz 83538 SHA256 e444ac3b587ce82709c4d0cfca1fe71f44f9fc433e9f946b12b9e1bfe667a633 SHA512 b13e6044184f47d0f9e78c4c97d2887ab763121b2b21c86652bf3ea1b05335cfbcfd91eecb8d1dcfb5530f2528e6cf3e9c49c742d5e771dba68a774d2c2ad4ca WHIRLPOOL 839b531eb6cae7ada0bbaa0c4230a1f6889f6a288a114262bf6e27aa27638800636127fea3066427fb030e8f449794681d2bffeb8e2d30876d8ef9e4a3ade3cc
diff --git a/net-libs/miniupnpc/miniupnpc-1.9.20151008.ebuild b/net-libs/miniupnpc/miniupnpc-1.9.20151008.ebuild
new file mode 100644
index 00000000000..5377731776a
--- /dev/null
+++ b/net-libs/miniupnpc/miniupnpc-1.9.20151008.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils multilib toolchain-funcs
+
+DESCRIPTION="UPnP client library and a simple UPnP client"
+HOMEPAGE="http://miniupnp.free.fr/"
+SRC_URI="http://miniupnp.free.fr/files/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0/14"
+KEYWORDS="~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="ipv6 kernel_linux static-libs"
+
+RDEPEND=""
+DEPEND="kernel_linux? ( sys-apps/lsb-release sys-apps/which )"
+
+src_prepare() {
+ epatch_user
+
+ # These bins are not installed, upnpc-static requires building static lib
+ # Reduce APIVERSION used to build SONAME since last API change was
+ # backwards compatible to surprise of all the universe.
+ sed -i -e '/EXECUTABLES =/s/ upnpc-static listdevices//' \
+ -e '/APIVERSION/s:15:14:' Makefile || die
+
+ if ! use static-libs; then
+ sed -i \
+ -e '/FILESTOINSTALL =/s/ $(LIBRARY)//' \
+ -e '/$(INSTALL) -m 644 $(LIBRARY) $(DESTDIR)$(INSTALLDIRLIB)/d' \
+ Makefile || die
+ fi
+}
+
+# Upstream cmake causes more trouble than it fixes,
+# so we'll just stay with the Makefile for now.
+
+src_compile() {
+ tc-export CC AR
+ emake upnpc-shared $(usex static-libs upnpc-static '')
+}
+
+src_test() {
+ emake -j1 HAVE_IPV6=$(usex ipv6) check
+}
+
+src_install() {
+ emake \
+ PREFIX="${D}" \
+ INSTALLDIRLIB="${D}usr/$(get_libdir)" \
+ install
+
+ dodoc README Changelog.txt
+}